# $Revision: 1.79 $, $Date: 2008-02-26 08:02:00 $
#
# Conditional build:
%bcond_without	pth	# without pth-based based version of gnupg
%bcond_without	tests	# testsuite on build
#
Summary:	GNU Privacy Guard - tool for secure communication and data storage - enhanced version
Summary(pl.UTF-8):	GnuPG - narzędzie do bezpiecznej komunikacji i bezpiecznego przechowywania danych - wersja rozszerzona
Name:		gnupg2
Version:	2.0.8
Release:	3
License:	GPL v3+
Group:		Applications/File
Source0:	ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
# Source0-md5:	fc4377ca67e1bf687eeaf22e79c0b9d1
Source1:	gnupg-agent.sh
Patch0:		%{name}-info.patch
Patch1:		%{name}-pth.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-disable_tests.patch
URL:		http://www.gnupg.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	gettext-devel >= 0.16.1
BuildRequires:	libassuan-devel >= 1:1.0.2
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libksba-devel >= 1.0.2
BuildRequires:	libusb-devel
BuildRequires:	openldap-devel
BuildRequires:	pcsc-lite-devel
%{?with_pth:BuildRequires:	pth-devel >= 2.0.0}
BuildRequires:	rpmbuild(macros) >= 1.177
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Suggests:	gnupg-agent
Requires:	gnupg2-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/gnupg2

%description
GnuPG is GNU's tool for secure communication and data storage. It can
be used to encrypt data and to create digital signatures. It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440.

This is enhanced version.

%description -l pl.UTF-8
GnuPG (GNU Privacy Guard) jest narzędziem do bezpiecznej komunikacji i
bezpiecznego przechowywania danych. Może być używany do szyfrowania
oraz podpisywania danych. Umożliwia zaawansowane zarządzanie kluczami
i spełnia normy zdefiniowane w standardzie OpenPGP, który jest opisany
w RFC2440.

To jest wersja rozszerzona.

%package common
Summary:	GnuPG - common files
Summary(pl.UTF-8):	GnuPG - pliki wspólne
Group:		Applications/File
Requires:	libassuan >= 1:1.0.2
Requires:	libgcrypt >= 1.2.2
Requires:	libgpg-error >= 1.4
Requires:	libksba >= 1.0.2
Conflicts:	gnupg-agent < 1.9.14-2

%description common
Common files used by tools from GnuPG project.

%description common -l pl.UTF-8
Pliki wspólne używane przez różne narzędzia z projektu GnuPG.

%package plugin-keys_curl
Summary:	GnuPG 2 plugin for allow talk to a HTTP/FTP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy HTTP/FTP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_curl
GnuPG 2 plugin for allow talk to a HTTP(S)/FTP(S) keyserver.

%description plugin-keys_curl -l pl.UTF-8
Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy
HTTP(S)/FTP(S).

%package plugin-keys_finger
Summary:	GnuPG 2 plugin for allow talk to a FINGER keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy FINGER
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_finger
GnuPG 2 plugin for allow talk to a FINGER keyserver.

%description plugin-keys_finger -l pl.UTF-8
Wtyczka 2 GnuPG pozwalająca komunikować się z serwerem kluczy FINGER.

%package plugin-keys_hkp
Summary:	GnuPG 2 plugin for allow talk to a HKP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy HKP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_hkp
GnuPG 2 plugin for allow talk to a HKP keyserver.

%description plugin-keys_hkp -l pl.UTF-8
Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy HKP.

%package plugin-keys_ldap
Summary:	GnuPG 2 plugin for allow talk to a LDAP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy LDAP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_ldap
GnuPG 2 plugin for allow talk to a LDAP keyserver.

%description plugin-keys_ldap -l pl.UTF-8
Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy LDAP.

%package -n gnupg-agent
Summary:	GnuPG extension - agent
Summary(pl.UTF-8):	Rozszerzenie GnuPG - agent
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Requires:	pinentry
Obsoletes:	newpg

%description -n gnupg-agent
GnuPG extension - agent.

%description -n gnupg-agent -l pl.UTF-8
Rozszerzenie GnuPG - agent.

%package -n gnupg-agent-profile_d
Summary:	gnupg-agent start script for text mode
Summary(pl.UTF-8):	Skrypt startowy gnupg-agenta dla trybu tekstowego
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}

%description -n gnupg-agent-profile_d
gnupg-agent start script for text mode.

%description -n gnupg-agent-profile_d -l pl.UTF-8
Skrypt startowy gnupg-agenta dla trybu tekstowego.

%package -n gnupg-agent-xinitrc
Summary:	gnupg-agent start script for X-Window mode
Summary(pl.UTF-8):	Skrypt startowy gnupg-agenta dla trybu X-Window
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}
Requires:	xinitrc

%description -n gnupg-agent-xinitrc
gnupg-agent start script for X-Window mode.

%description -n gnupg-agent-xinitrc -l pl.UTF-8
Skrypt startowy gnupg-agenta dla trybu X-Window.

%package -n gnupg-smime
Summary:	GnuPG extension - S/MIME support
Summary(pl.UTF-8):	Rozszerzenie GnuPG - obsługa S/MIME
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Conflicts:	gnupg-agent < 1.9.14-2

%description -n gnupg-smime
GnuPG extension - S/MIME support.

%description -n gnupg-smime -l pl.UTF-8
Rozszerzenie GnuPG - obsługa S/MIME.

%prep
%setup -q -n gnupg-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{!?with_tests:%patch3 -p1}

rm -f po/stamp-po

sed -i -e 's#gl_AC_TYPE_LONG_LONG#AC_TYPE_LONG_LONG_INT#g' gl/m4/allocsa.m4

%build
%{__gettextize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_pth:--disable-threads} \
	--enable-gpg \
	--enable-symcryptrun \
	--with-capabilities \
	--with-pinentry-pgm=%{_bindir}/pinentry-curses \
	--with-mailprog=/usr/lib/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkglibdir=%{_libexecdir}

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/gnupg-agent.sh
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/gnupg-agent.sh

mv ChangeLog main-ChangeLog || :
find -name ChangeLog | awk '{src=$0; dst=$0;sub("^./","",dst);gsub("/","-",dst); print "cp " src " " dst}' | sh

%find_lang gnupg2
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%triggerpostun -n gnupg-agent -- gnupg-agent < 1.9.16-2
%banner gnupg-agent-1.9.16-2 << EOF
Scripts for starting gnupg-agent have been moved to separate
subpackages: gnupg-agent-profile_d and gnupg-agent-xinitrc.
EOF

%files
%defattr(644,root,root,755)
%doc g10-ChangeLog g10/options.skel
%attr(755,root,root) %{_bindir}/gpg2
%attr(755,root,root) %{_bindir}/gpgv2
%{_mandir}/man1/gpg2.1*
%{_mandir}/man1/gpgv2.1*

%files common -f gnupg2.lang
%defattr(644,root,root,755)
%doc AUTHORS main-ChangeLog NEWS README THANKS TODO
%doc jnlib-ChangeLog m4-ChangeLog po-ChangeLog scripts-ChangeLog common-ChangeLog kbx-ChangeLog tools-ChangeLog doc-ChangeLog
%attr(755,root,root) %{_bindir}/gpg-connect-agent
%attr(755,root,root) %{_bindir}/gpgconf
%attr(755,root,root) %{_bindir}/gpgkey2ssh
%attr(755,root,root) %{_bindir}/gpgparsemail
%attr(755,root,root) %{_bindir}/kbxutil
%attr(755,root,root) %{_bindir}/watchgnupg
%attr(755,root,root) %{_sbindir}/addgnupghome
%attr(755,root,root) %{_sbindir}/applygnupgdefaults
%dir %{_libexecdir}
%{_datadir}/gnupg
%{_mandir}/man1/gpg-connect-agent.1*
%{_mandir}/man1/gpgconf.1*
%{_mandir}/man1/gpgparsemail.1*
%{_mandir}/man1/watchgnupg.1*
%{_mandir}/man8/addgnupghome.8*
%{_mandir}/man8/applygnupgdefaults.8*
%{_infodir}/*.info*

%files plugin-keys_curl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_curl

%files plugin-keys_finger
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_finger

%files plugin-keys_hkp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_hkp

%files plugin-keys_ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_ldap

%files -n gnupg-smime
%defattr(644,root,root,755)
%doc sm-ChangeLog
%attr(755,root,root) %{_bindir}/gpgsm
%attr(755,root,root) %{_bindir}/gpgsm-gencert.sh
%{_mandir}/man1/gpgsm.1*
%{_mandir}/man1/gpgsm-gencert.sh.1*

%files -n gnupg-agent
%defattr(644,root,root,755)
%doc agent-ChangeLog scd-ChangeLog
%attr(755,root,root) %{_bindir}/gpg-agent
%attr(755,root,root) %{_bindir}/scdaemon
%attr(755,root,root) %{_bindir}/symcryptrun
%attr(755,root,root) %{_libexecdir}/gnupg-pcsc-wrapper
%attr(755,root,root) %{_libexecdir}/gpg-check-pattern
%attr(755,root,root) %{_libexecdir}/gpg-protect-tool
%attr(755,root,root) %{_libexecdir}/gpg-preset-passphrase
%{_mandir}/man1/gpg-agent.1*
%{_mandir}/man1/gpg-preset-passphrase.1*
%{_mandir}/man1/scdaemon.1*
%{_mandir}/man1/symcryptrun.1*

%files -n gnupg-agent-profile_d
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/gnupg-agent.sh

%files -n gnupg-agent-xinitrc
%defattr(644,root,root,755)
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/gnupg-agent.sh

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnupg2.spec,v $
Revision 1.79  2008-02-26 08:02:00  glen
- revert unreasoned openldap dep bump

Revision 1.78  2008-02-26 07:59:04  glen
- revert symlink. i don't know what i'm doing

Revision 1.77  2008-01-24 02:17:09  glen
- include gpg-preset-passphrase in user path; rel 3

Revision 1.76  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.75  2008-01-17 19:57:57  pluto
- /usr/bin/gpg-agent belongs to gnupg-agent package, release 2.

Revision 1.74  2008-01-05 17:17:30  qboosh
- updated to 2.0.8
- updated pl.po-update patch

Revision 1.73  2007-12-18 22:56:55  zbyniu
- now proper parallel build

Revision 1.72  2007-12-08 14:08:46  sls
- Suggests: gpg-agent (gpg2 --gen-key requires /usr/bin/gpg-agent)

Revision 1.71  2007-11-30 13:18:50  pluto
- gpg-agent requires pinentry package which provides /usr/bin/pintenry-curses,
  so use this path explictly instead of non-existent /usr/bin/pinentry.
  release 3.

Revision 1.70  2007-11-26 18:47:29  qboosh
- updated pl.po-update patch
- release 2

Revision 1.69  2007-11-25 20:49:59  arekm
- up to 2.0.7

Revision 1.68  2007-11-18 18:17:35  arekm
- rel 2

Revision 1.67  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.66  2007/08/28 19:56:14  qboosh
- updated to 2.0.6
- updated pl.po-update patch

Revision 1.65  2007/08/04 19:26:14  patrys
- rel 2
- rebuild with seahorse support

Revision 1.64  2007/07/09 22:42:19  sls
- __make -j1 (with -j2 we've got: No rule to make target
  `../common/libcommon.a', needed by `t-convert'.  Stop)

Revision 1.63  2007/07/07 00:17:29  qboosh
- updated to 2.0.5 (GPL v3)
- updated pl.po-update patch

Revision 1.62  2007/05/24 21:08:46  qboosh
- no longer development version

Revision 1.61  2007/05/16 05:46:52  qboosh
- updated to 2.0.4
- updated pl.po-update patch

Revision 1.60  2007/03/18 15:41:27  glen
- rel 2 (curl)

Revision 1.59  2007/03/16 21:56:53  qboosh
- updated to 2.0.3 (fixes CVE-2007-1263)
- updated pl.po-update patch

Revision 1.58  2007/02/28 18:37:33  arekm
- rel 1

Revision 1.57  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.55  2007/02/03 12:13:27  qboosh
- added pl.po-update patch

Revision 1.54  2007/02/01 11:29:03  qboosh
- separated plugins

Revision 1.53  2007/02/01 11:18:03  qboosh
- updated to 2.0.2 (fixes CVE-2006-6235)

Revision 1.52  2006/12/11 22:01:45  pluto
- release 0.2, rebuild with new curl.

Revision 1.51  2006/11/30 21:34:47  qboosh
- added CVE reference

Revision 1.50  2006/11/28 19:21:46  qboosh
- up to 2.0.1, removed obsolete ac patch
[fixes CVE-2006-6169]

Revision 1.49  2006/11/13 19:28:26  qboosh
- up to 2.0.0; release 0.1 (see todo)

Revision 1.48  2006/10/30 00:41:16  qboosh
- updated to 1.9.94
- added ac patch; full ac/am/gt regeneration instead of partial, broken one

Revision 1.47  2006/10/23 16:20:01  qboosh
- updated to 1.9.93

Revision 1.46  2006/10/13 08:29:24  qboosh
- updated to 1.9.92

Revision 1.45  2006/10/07 16:14:50  pluto
- argh, now tests are disabled.

Revision 1.44  2006/10/07 10:17:17  pluto
- bcond_with_tests added dueto x86-64 failures, release 2.

Revision 1.43  2006/10/04 19:14:38  qboosh
- updated to 1.9.91

Revision 1.42  2006/08/16 09:16:17  qboosh
- updated to 1.9.22, compatible with gcc 3.x again

Revision 1.41  2006/06/22 08:30:53  qboosh
- updated to 1.9.21 (gcc 4 is assumed now)

Revision 1.40  2006/06/16 22:38:22  megabajt
- missing dir
- rel 2

Revision 1.39  2006/05/22 13:33:06  glen
- check-files cleanup

Revision 1.38  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.37  2005/12/28 11:06:03  qboosh
- updated to 1.9.20

Revision 1.36  2005/10/06 21:13:33  qboosh
- updated to 1.9.19

Revision 1.35  2005/08/15 11:39:55  qboosh
- updated to 0.9.18, removed obsolete build patch

Revision 1.34  2005/07/11 11:45:45  radek
- BR: libassuan-devel >= 1:0.6.10 (Arkadiusz Chomicki)

Revision 1.33  2005/06/23 22:00:55  qboosh
- updated to 1.9.17, added build patch

Revision 1.32  2005/06/07 18:31:56  twittner
- gnupg-agent start scripts for console and X-Window mode has been released
  in separate subpackages: gnupg-agent-profile_d and gnupg-agent-xinitrc
  (bugs #5648), appropriate info about it is passed on to user via trigger
  & banner macros.
- rel. 2

Revision 1.31  2005/04/23 16:53:10  qboosh
- updated to 1.9.16, added pth patch (build fix)

Revision 1.30  2005/04/20 10:19:44  pluto
- P:, O:, symlink reverted.

Revision 1.29  2005/04/19 14:03:22  glen
- %attr for symlink is useless

Revision 1.28  2005/04/19 13:16:49  pluto
- gpg2->gpg compat symlink for kmail.

Revision 1.27  2005/04/19 13:00:03  pluto
- P:, O: gnupg for easy upgrade and satisfy gpgme reqs.

Revision 1.26  2005/04/19 12:49:32  pluto
- BR(pth) fixed.

Revision 1.25  2005/01/22 09:34:51  qboosh
- updated to 1.9.15

Revision 1.24  2005/01/03 08:29:06  ankry
- ^%#%0%$ kill unsupported utf

Revision 1.23  2004/12/31 12:10:55  wiget
- rename to gnupg2.spec
- package all tools
- S/MIME tools moved to gnupg-smime
- separated common files to gnupg2-common
- release 2
Now you can install gnupg 1.4.x and gnupg 1.9.x together

Revision 1.22  2004/12/31 09:37:19  wiget
- updated to 1.9.14

Revision 1.21  2004/12/03 23:01:34  qboosh
- updated to 1.9.13 (minor cleanups)

Revision 1.20  2004/10/26 21:57:49  qboosh
- updated to 1.9.12, removed obsolete max_cache_ttl patch

Revision 1.19  2004/10/19 00:01:42  arekm
- updated to 1.9.11; added missing binaries (gpgconf, watchgnupg, addgnupghome)

Revision 1.18  2004/09/12 05:13:57  twittner
- added -max_cache_ttl.patch (bconded with max_cache_ttl for tests) which
  introduced max-cache-ttl option (instead of 1h hardwired limit) - see:
  http://marc.theaimsgroup.com/?l=gnupg-devel&m=109300087831144&w=2
- patch is not taken directly - contain maintainer modifications.

Revision 1.17  2004/09/04 09:57:57  twittner
- s|/etc/profile.d/GPG_AGENT_INFO|/etc/profile.d/gnupg-agent.sh|
  back to sane name
- rel. 3

Revision 1.16  2004/08/26 09:50:58  radek
- %doc agent/ChangeLog

Revision 1.15  2004/08/09 18:50:49  arekm
- rel 2 (fixed gnupg-agent.sh)

Revision 1.14  2004/08/06 17:52:17  qboosh
- restored changelog after "revert"

Revision 1.13  2004/08/06 00:19:51  arekm
- revert

Revision 1.12  2004/08/04 19:16:01  arekm
- moved gnupg-agent.sh from profile.d to env.d

Revision 1.11  2004/07/29 13:12:42  twittner
- removed BR: gdbm-devel (seems no longer needed)
- fixed insane name: gnupg-agent-agent.sh -> gnupg-agent.sh
- added bcond_without xinitrc and cond. R: xinitrc to avoid
  orphaned directories

Revision 1.10  2004/07/24 12:03:04  twittner
- removed asteriskes from previous changelog entry (it seems they have special
  meaning for rpm).

Revision 1.9  2004/07/24 11:56:57  twittner
- some BRs updated - configure said:
 You need libassuan to build this program.
 (at least version 0.6.6 is required).
 You need libksba to build this program.
 (at least version 0.9.7 is required).

Revision 1.8  2004/07/24 00:13:32  qboosh
- updated to 1.9.10, removed obsolete typo fix

Revision 1.7  2004/06/22 05:43:13  qboosh
- updated to 1.9.9

Revision 1.6  2004/05/23 09:43:37  qboosh
- updated to 1.9.8

Revision 1.5  2004/04/22 21:11:43  qboosh
- updated to 1.9.7

Revision 1.4  2004/03/22 07:01:25  ankry
- cosmetics

Revision 1.3  2004/03/21 19:36:12  arekm
- fix amd64

Revision 1.2  2004/03/21 19:30:02  arekm
- fix amd64

Revision 1.1  2004/03/21 19:21:28  arekm
- new, for AC
